#### Previous topic

scipy.stats.mstats.threshold

#### Next topic

scipy.stats.mstats.tmean

# scipy.stats.mstats.tmax

`scipy.stats.mstats.``tmax`(a, upperlimit=None, axis=0, inclusive=True)

  Compute the trimmed maximum

  This function computes the maximum value of an array along a given axis, while ignoring values larger than a specified upper limit.

  Parameters:

  a : array_like

  > array of values

  upperlimit : None or float, optional

  > Values in the input array greater than the given limit will be ignored. When upperlimit is None, then all values are used. The default value is None.

  axis : int or None, optional

  > Axis along which to operate. Default is 0. If None, compute over the whole array a.

  inclusive : {True, False}, optional

  > This flag determines whether values exactly equal to the upper limit are included. The default value is True.

  Returns: | tmax : float, int or ndarray

  Notes

  For more details on `tmax`, see stats.tmax.